{* editaceArticle *}
<section class="container-xxl mb-3">
    <section class="d-md-flex justify-content-between align-items-center border-bottom py-2">
        <h1><i class="fas fa-edit"></i> Editace stránky - {$stranka->nazev}</h1>
        <div class="d-flex justify-content-between gap-3">
            {snippet active}
                {if $stranka->active == true}
                    <a n:href="strankaActive! $stranka->id" class="btn btn-outline-success ajax"><i class="fas fa-eye me-2"></i> Aktivní</a>
                {else}
                    <a n:href="strankaActive! $stranka->id" class="btn btn-outline-danger ajax"><i class="fas fa-eye-slash me-2"></i> Deaktivována</a>
                {/if}
            {/snippet}
            {control vymazStranka}
        </div>
    </section>
    <section class="d-md-flex justify-content-between align-items-center border-bottom bg-header text-white p-2">
        <div class="mb-2 mb-md-0">
            <b>Vytvořeno:</b> {$stranka->created_at|date:('d.m.Y')}
        </div>
        <div>
            <b>Poslední aktualizace:</b> {$stranka->last_update|date:('d.m.Y')}
        </div>
    </section>
    <form n:name="editStrankaForm">
        <section class="d-flex justify-content-end bg-menu-header p-2 mb-3">
            <button class="btn btn-success" n:name="send"><i class="fas fa-floppy-disk me-2"></i> Uložit</button>
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Základní informace</h4>
            <div class="row px-2">
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">Název stránky</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control stranka-nazev" placeholder="Název stránky">
                    </div>
                </div>
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">URL adresa</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-globe"></i></span>
                        <input n:name="url" class="form-control stranka-url" placeholder="URL adresa" readonly>
                    </div>
                </div>
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">Úvodní text</label>
                    <textarea id="editTiny-1" name="content"></textarea>
                    <input id="tiny-obsah-1" type="hidden" value="{$stranka->content}">
                </div>
            </div>
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Informace pro vyhledávače</h4>
            <div class="row px-2">
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">SEO popis</label>
                    <textarea n:name="meta_desc" class="form-control meta-desc" rows="4"></textarea>
                    <div class="form-text"><b>Doporučená délka: <span id="metaDesc-lenght">0</span>/160</b></div>
                </div>
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">SEO náhled</label>
                    <div class="seo-thumb shadow p-3 mb-3">
                        <div class="name"><span id="seo-name">{$stranka->nazev}</span> | {$baseInfo['siteName']}</div>
                        <div class="address">{$baseInfo['address']}<span id="seo-address"></span></div>
                        <div class="seo-content" id="seo-content"></div>
                    </div>
                </div>
            </div>
        </section>
    </form>
    <section class="bg-light mb-3">
        <h4 class="bg-dark text-white p-2 mb-0">Seznam článků</h4>
        {control seznamClanku}
    </section>
</section>
<script>
    $(document).ready(function(){
        var content = $('.meta-desc').val();
        $('#metaDesc-lenght').text(content.length);

        if (content.length > 160){
            $('#metaDesc-lenght').addClass('text-danger');
        }else{
            $('#metaDesc-lenght').addClass('text-success');
        }

        loadTinyObsah(1);
        loadSeoContent();

        $('.meta-desc').on("input", function() {
            loadSeoContent();
            if (this.value.length > 160){
                $('#metaDesc-lenght').removeClass('text-success');
                $('#metaDesc-lenght').addClass('text-danger');
                $('#metaDesc-lenght').text(this.value.length);
            }else{
                $('#metaDesc-lenght').removeClass('text-danger');
                $('#metaDesc-lenght').addClass('text-success');
                $('#metaDesc-lenght').text(this.value.length);
            }
        });

        $('.stranka-nazev').on("input", function() {
            loadSeoContent();
        });
    });

    function loadSeoContent(){
        var name = $('.stranka-nazev').val();
        var content = $('.meta-desc').val();
        var url = $('.stranka-url').val();

        $('#seo-content').empty();
        $('#seo-content').append(content);

        $('#seo-name').empty();
        $('#seo-address').empty();

        $('#seo-name').append(name);
        $('#seo-address').append(url);
    }
</script>
